> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Data Source Tests > Returns a list of tests for a specified data source ## OpenAPI ````json GET /api/v1/Catalog/data-sources/{dataSourceId}/tests { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Catalog/data-sources/{dataSourceId}/tests": { "get": { "tags": [ "Catalog" ], "summary": "Get Data Source Tests", "description": "Returns a list of tests for a specified data source", "parameters": [ { "name": "dataSourceId", "in": "path", "description": "Id of the specified data source", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "projectId", "in": "query", "description": "Optionally filter tests by a project", "schema": { "type": "integer", "format": "int32" } }, { "name": "folderId", "in": "query", "description": "Optionally filter tests by a folder", "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestSummaryList" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.TestSummaryList": { "title": "TestSummaryList", "type": "object", "properties": { "projects": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestSummaryProject" } } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestSummaryProject": { "title": "TestSummaryProject", "type": "object", "properties": { "id": { "type": "integer", "format": "int32" }, "name": { "type": "string", "nullable": true }, "folders": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestSummaryFolder" } } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestSummaryFolder": { "title": "TestSummaryFolder", "type": "object", "properties": { "id": { "type": "integer", "format": "int32" }, "name": { "type": "string", "nullable": true }, "path": { "type": "string", "nullable": true }, "tests": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestSummary" } } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestSummary": { "title": "TestSummary", "type": "object", "properties": { "id": { "type": "integer", "format": "int32" }, "name": { "type": "string", "nullable": true }, "url": { "type": "string", "nullable": true }, "links": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestSummaryLink" } }, "jobCount": { "type": "integer", "format": "int32" }, "lastResult": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestSummaryLastResult" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestSummaryLink": { "title": "TestSummaryLink", "type": "object", "properties": { "name": { "type": "string", "nullable": true }, "url": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestSummaryLastResult": { "title": "TestSummaryLastResult", "type": "object", "properties": { "date": { "type": "string", "format": "date-time", "nullable": true }, "status": { "type": "string", "nullable": true }, "url": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````